From 8e959e3b96c880004626cfe5d1b8666c52ae9ba7 Mon Sep 17 00:00:00 2001
From: Sebastian Pop <spop@amazon.com>
Date: Thu, 11 Nov 2021 17:34:12 +0000
Subject: [PATCH] [arm64] enable -moutline-atomics flag

---
 debian/patches/arm64-outline-atomics | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100644 debian/patches/arm64-outline-atomics

diff --git a/debian/patches/arm64-outline-atomics b/debian/patches/arm64-outline-atomics
new file mode 100644
index 0000000..741b243
--- /dev/null
+++ b/debian/patches/arm64-outline-atomics
@@ -0,0 +1,13 @@
+--- a/configure.in
++++ b/configure.in
+@@ -532,6 +532,10 @@ if test "$GCC" = yes -a "$ICC" = no; then
+   if test -n "$NOT_THE_CFLAGS"; then
+     CFLAGS="$CFLAGS -Wno-stringop-truncation"
+   fi
++  if test x"$host_cpu" == x"aarch64"; then
++    PGAC_PROG_CC_CFLAGS_OPT([-moutline-atomics])
++    PGAC_PROG_CXX_CFLAGS_OPT([-moutline-atomics])
++  fi
+ elif test "$ICC" = yes; then
+   # Intel's compiler has a bug/misoptimization in checking for
+   # division by NAN (NaN == 0), -mp1 fixes it, so add it to the CFLAGS.
-- 
2.25.1

